PHPExcel_Chart

category | PHPExcel
package | PHPExcel_Chart
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Chart

    __construct($name, \PHPExcel_Chart_Title $title, \PHPExcel_Chart_Legend $legend, \PHPExcel_Chart_PlotArea $plotArea, $plotVisibleOnly, $displayBlanksAs, \PHPExcel_Chart_Title $xAxisLabel, \PHPExcel_Chart_Title $yAxisLabel)

### Parameters

#### $name

#### $title

#### $legend

#### $plotArea

#### $plotVisibleOnly

#### $displayBlanksAs

#### $xAxisLabel

#### $yAxisLabel

## Get the cell address where the bottom right of the chart is fixed

    getBottomRightCell() : string

### Returns

`string`

## Get the offset position within the Bottom Right cell for the chart

    getBottomRightOffset() : integer[]

### Returns

`integer[]`

## Get the bottom right position of the chart

    getBottomRightPosition() : array

### Returns

`array`an associative array containing the cell address, X-Offset and Y-Offset from the top left of that cell

## getBottomRightXOffset()

    getBottomRightXOffset()

## getBottomRightYOffset()

    getBottomRightYOffset()

## Get Display Blanks as

    getDisplayBlanksAs() : string

### Returns

`string`

## Get Legend

    getLegend() : \PHPExcel_Chart_Legend

### Returns

`\PHPExcel_Chart_Legend`

## Get Name

    getName() : string

### Returns

`string`

## Get Plot Area

    getPlotArea() : \PHPExcel_Chart_PlotArea

### Returns

`\PHPExcel_Chart_PlotArea`

## Get Plot Visible Only

    getPlotVisibleOnly() : boolean

### Returns

`boolean`

## Get Title

    getTitle() : \PHPExcel_Chart_Title

### Returns

`\PHPExcel_Chart_Title`

## Get the cell address where the top left of the chart is fixed

    getTopLeftCell() : string

### Returns

`string`

## Get the offset position within the Top Left cell for the chart

    getTopLeftOffset() : integer[]

### Returns

`integer[]`

## Get the top left position of the chart

    getTopLeftPosition() : array

### Returns

`array`an associative array containing the cell address, X-Offset and Y-Offset from the top left of that cell

## getTopLeftXOffset()

    getTopLeftXOffset()

## getTopLeftYOffset()

    getTopLeftYOffset()

## Get Worksheet

    getWorksheet() : \PHPExcel_Worksheet

### Returns

`\PHPExcel_Worksheet`

## Get X-Axis Label

    getXAxisLabel() : \PHPExcel_Chart_Title

### Returns

`\PHPExcel_Chart_Title`

## Get Y-Axis Label

    getYAxisLabel() : \PHPExcel_Chart_Title

### Returns

`\PHPExcel_Chart_Title`

## refresh()

    refresh()

## render()

    render($outputDestination)

### Parameters

#### $outputDestination

## setBottomRightCell()

    setBottomRightCell($cell)

### Parameters

#### $cell

## Set the offset position within the Bottom Right cell for the chart

    setBottomRightOffset(integer $xOffset, integer $yOffset) : \PHPExcel_Chart

### Parameters

#### $xOffset

`integer`

#### $yOffset

`integer`

### Returns

`\PHPExcel_Chart`

## Set the Bottom Right position of the chart

    setBottomRightPosition(string $cell, integer $xOffset, integer $yOffset) : \PHPExcel_Chart

### Parameters

#### $cell

`string`

#### $xOffset

`integer`

#### $yOffset

`integer`

### Returns

`\PHPExcel_Chart`

## setBottomRightXOffset()

    setBottomRightXOffset($xOffset)

### Parameters

#### $xOffset

## setBottomRightYOffset()

    setBottomRightYOffset($yOffset)

### Parameters

#### $yOffset

## Set Display Blanks as

    setDisplayBlanksAs(string $displayBlanksAs) : \PHPExcel_Chart

### Parameters

#### $displayBlanksAs

`string`

### Returns

`\PHPExcel_Chart`

## Set Legend

    setLegend(\PHPExcel_Chart_Legend $legend) : \PHPExcel_Chart

### Parameters

#### $legend

`\PHPExcel_Chart_Legend`

### Returns

`\PHPExcel_Chart`

## Set Plot Visible Only

    setPlotVisibleOnly(boolean $plotVisibleOnly) : \PHPExcel_Chart

### Parameters

#### $plotVisibleOnly

`boolean`

### Returns

`\PHPExcel_Chart`

## Set Title

    setTitle(\PHPExcel_Chart_Title $title) : \PHPExcel_Chart

### Parameters

#### $title

`\PHPExcel_Chart_Title`

### Returns

`\PHPExcel_Chart`

## Set the Top Left cell position for the chart

    setTopLeftCell(string $cell) : \PHPExcel_Chart

### Parameters

#### $cell

`string`

### Returns

`\PHPExcel_Chart`

## Set the offset position within the Top Left cell for the chart

    setTopLeftOffset(integer $xOffset, integer $yOffset) : \PHPExcel_Chart

### Parameters

#### $xOffset

`integer`

#### $yOffset

`integer`

### Returns

`\PHPExcel_Chart`

## Set the Top Left position for the chart

    setTopLeftPosition(string $cell, integer $xOffset, integer $yOffset) : \PHPExcel_Chart

### Parameters

#### $cell

`string`

#### $xOffset

`integer`

#### $yOffset

`integer`

### Returns

`\PHPExcel_Chart`

## setTopLeftXOffset()

    setTopLeftXOffset($xOffset)

### Parameters

#### $xOffset

## setTopLeftYOffset()

    setTopLeftYOffset($yOffset)

### Parameters

#### $yOffset

## Set Worksheet

    setWorksheet(\PHPExcel_Worksheet $pValue) : \PHPExcel_Chart

### Parameters

#### $pValue

`\PHPExcel_Worksheet`

### Exceptions

`\PHPExcel_Chart_Exception` |

### Returns

`\PHPExcel_Chart`

## Set X-Axis Label

    setXAxisLabel(\PHPExcel_Chart_Title $label) : \PHPExcel_Chart

### Parameters

#### $label

`\PHPExcel_Chart_Title`

### Returns

`\PHPExcel_Chart`

## Set Y-Axis Label

    setYAxisLabel(\PHPExcel_Chart_Title $label) : \PHPExcel_Chart

### Parameters

#### $label

`\PHPExcel_Chart_Title`

### Returns

`\PHPExcel_Chart`

### Properties

##

    $_bottomRightCellRef : string

##

    $_bottomRightXOffset : integer

##

    $_bottomRightYOffset : integer

##

    $_displayBlanksAs : string

##

    $_legend : \PHPExcel_Chart_Legend

##

    $_name : string

##

    $_plotArea : \PHPExcel_Chart_PlotArea

##

    $_plotVisibleOnly : boolean

##

    $_title : \PHPExcel_Chart_Title

##

    $_topLeftCellRef : string

##

    $_topLeftXOffset : integer

##

    $_topLeftYOffset : integer

##

    $_worksheet : \PHPExcel_Worksheet

##

    $_xAxisLabel : \PHPExcel_Chart_Title

##

    $_yAxisLabel : \PHPExcel_Chart_Title